org.richfaces.renderkit.util

## Class CoreRendererUtils

- java.lang.Object
- - org.richfaces.renderkit.util.CoreRendererUtils

-     public final class CoreRendererUtils
      extends Object

  Util class for common render operations - render passthru html attributes, iterate over child components etc.
  Version:
    $Revision: 1.1.2.6 $ $Date: 2007/02/08 19:07:16 $
  Author:
    asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<String>` | `GLOBAL_META_COMPONENTS`
    `static CoreRendererUtils` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `findComponentsFor(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Collection<String> shortIds)`
    `javax.faces.component.UIForm` | `getNestingForm(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Find nested form for given component
    `String` | `getPredefinedMetaComponentId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GLOBAL_META_COMPONENTS

          public static final Set<String> GLOBAL_META_COMPONENTS

    - #### INSTANCE

          public static final CoreRendererUtils INSTANCE

  - ### Method Detail

    - #### getPredefinedMetaComponentId

          public String getPredefinedMetaComponentId(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent component,
                                            String id)

    - #### findComponentsFor

          public Collection<String> findComponentsFor(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent component,
                                             Collection<String> shortIds)

      Parameters:
        `context` -
        `component` -
        `shortIds` -
      Returns:
      Since:
        4.0

    - #### getNestingForm

          public javax.faces.component.UIForm getNestingForm(javax.faces.context.FacesContext context,
                                                    javax.faces.component.UIComponent component)

      Find nested form for given component
      Parameters:
        `component` -
      Returns:
        nested `UIForm` component, or `null`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.